summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2017-03-18 00:13:15 +0100
committerPatrice Clement <monsieurp@gentoo.org>2017-03-18 02:09:27 +0100
commit16717a29e2d727927bd4bb09f81435032c9031f9 (patch)
treefaaaa413d7193f22ded371361a555a3f82f94799 /dev-java/jal
parentdev-java/kunststoff: clean up old. (diff)
downloadgentoo-16717a29e2d727927bd4bb09f81435032c9031f9.tar.gz
gentoo-16717a29e2d727927bd4bb09f81435032c9031f9.tar.bz2
gentoo-16717a29e2d727927bd4bb09f81435032c9031f9.zip
dev-java/jal: EAPI 6 bump.
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-java/jal')
-rw-r--r--dev-java/jal/jal-20031117-r5.ebuild50
1 files changed, 50 insertions, 0 deletions
diff --git a/dev-java/jal/jal-20031117-r5.ebuild b/dev-java/jal/jal-20031117-r5.ebuild
new file mode 100644
index 00000000000..74a6dd39b1b
--- /dev/null
+++ b/dev-java/jal/jal-20031117-r5.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Partial port of the C++ Standard Template Library"
+HOMEPAGE="http://vigna.dsi.unimi.it/jal"
+SRC_URI="http://dev.gentoo.org/~monsieurp/packages/${P}.tar.gz"
+
+LICENSE="HPND"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+CDEPEND="dev-java/ant-core:0"
+
+RDEPEND="
+ ${CDEPEND}
+ >=virtual/jre-1.6"
+
+DEPEND="
+ ${CDEPEND}
+ >=virtual/jdk-1.6"
+
+S="${WORKDIR}/${P}"
+
+JAVA_GENTOO_CLASSPATH="ant-core"
+
+JAVA_SRC_DIR="src/jal"
+
+src_prepare() {
+ default
+
+ # Generate sources.
+ ./instantiate -n byte bytes || die
+ ./instantiate -n short shorts || die
+ ./instantiate -n char chars || die
+ ./instantiate -n int ints || die
+ ./instantiate -n long longs || die
+ ./instantiate -n float floats || die
+ ./instantiate -n double doubles || die
+ ./instantiate Object objects || die
+ ./instantiate String strings || die
+
+ mkdir -p src/jal || die
+ mv bytes shorts chars ints longs floats doubles objects strings src/jal || die
+}